Subject: Re: [PATCH RFC net] docs: netdev: document guidance on cleanup patches

From: Jakub Kicinski <[email-masked]>
Date: Mon, 7 Oct 2024 09:54:12 -0700

On Mon, 7 Oct 2024 17:15:01 +0100 Simon Horman wrote:
> > > We could merge or otherwise rearrange that section with the one proposed by
> > > this patch. But I didn't feel it was necessary last week.  
> > 
> > Somewhat, we don't push back on correct use of device-managed APIs.
> > But converting ancient drivers to be device-managed just to save 
> > 2 or 3 LoC is pointless churn. Which in my mind falls squarely
> > under the new section, the new section is intended for people sending
> > trivial patches.  
> 
> Thanks, I can try and work with that. Do you want to call out older drivers
> too? I was intentionally skipping that for now. But I do agree it should
> be mentioned at some point.

What is and isn't considered old may be hard to determine. I hope that
your existing "not part of other work" phrasing will give us the same
effect, as there's usually no other work for old drivers.